Module javafx.base
Package javafx.beans.value

# Interface WritableListValue<E>

Type Parameters:
  `E` - the type of the `List` elements

All Superinterfaces:
  `Collection<E>`, `Iterable<E>`, `List<E>`, `Observable`, `ObservableList<E>`, `SequencedCollection<E>`, `WritableObjectValue<ObservableList<E>>`, `WritableValue<ObservableList<E>>`

All Known Implementing Classes:
  `ListProperty`, `ListPropertyBase`, `ReadOnlyListWrapper`, `SimpleListProperty`

public interface WritableListValue<E> extends WritableObjectValue<ObservableList<E>>, ObservableList<E>
A writable reference to an `ObservableList`.

Since:
  JavaFX 2.1
See Also:
  - `ObservableList`
  - `WritableObjectValue`
  - `WritableListValue`

## Method Summary

### Methods inherited from interface java.util.Collection

`parallelStream, removeIf, stream, toArray`

### Methods inherited from interface java.lang.Iterable

`forEach`

### Methods inherited from interface java.util.List

`add, add, addAll, addAll, addFirst, addLast, clear, contains, containsAll, equals, get, getFirst, getLast, hashCode, indexOf, isEmpty, iterator, lastIndexOf, listIterator, listIterator, remove, remove, removeAll, removeFirst, removeLast, replaceAll, retainAll, reversed, set, size, sort, spliterator, subList, toArray, toArray`

### Methods inherited from interface javafx.beans.Observable

`addListener, removeListener`

### Methods inherited from interface javafx.collections.ObservableList

`addAll, addListener, filtered, remove, removeAll, removeListener, retainAll, setAll, setAll, sorted, sorted`

### Methods inherited from interface javafx.beans.value.WritableObjectValue

`get, set`

### Methods inherited from interface javafx.beans.value.WritableValue

`getValue, setValue`